#include "ClearButton.h"
#include "TextBox.h"
#include "ModDebugger.h"

HWND hClearButton = NULL;

static HFONT hFont = NULL;

HWND CreateClearButton(HWND hWnd, HINSTANCE hInst ) {

	 hClearButton = CreateWindow(
		"BUTTON",								 // EBhENX
		"NA",								 // LvV
		WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON,   // X^Cw
		ClearButtonPosX, 5,                     // W
		50, 20,                                  // TCY
		hWnd,                                    // eEBhẼnh
		(HMENU)CLEARBUTTON_ID,                   // j[nh
		hInst,                                   // CX^Xnh
		NULL                                     // ̑̍쐬f[^
	);

	hFont = SetButtonFont("lr SVbN", 13, 0);
	SendMessage(hClearButton, WM_SETFONT, (WPARAM)hFont, MAKELPARAM(FALSE, 0));
	return hClearButton;
}

void DeleteClearButton() {
	DeleteObject(hFont);
	DestroyWindow(hClearButton);
}



